Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.schedule
Class ActionNode

    java.lang.Object
      org.encog.ml.graph.BasicNode
          org.encog.ml.schedule.ActionNode

    public class ActionNode

extends BasicNode

Constructor Summary
`ActionNode(String label)`
`ActionNode(String theName, double theDuration)`

Method Summary
`double` | `getDuration()`
`double` | `getEarliestStartTime()`
`double` | `getLatestStartTime()`
`void` | `setDuration(double duration)`
`void` | `setEarliestStartTime(double earliestStartTime)`
`void` | `setLatestStartTime(double latestStartTime)`
`String` | `toString()`

Methods inherited from class org.encog.ml.graph.BasicNode
`connect, getBackConnections, getConnections, getCost, getLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionNode

    public ActionNode(String label)

### ActionNode

    public ActionNode(String theName,
                      double theDuration)

Method Detail

### getEarliestStartTime

    public double getEarliestStartTime()

  Returns:
    the earliestStartTime

### setEarliestStartTime

    public void setEarliestStartTime(double earliestStartTime)

  Parameters:
    `earliestStartTime` - the earliestStartTime to set

### getLatestStartTime

    public double getLatestStartTime()

  Returns:
    the latestStartTime

### setLatestStartTime

    public void setLatestStartTime(double latestStartTime)

  Parameters:
    `latestStartTime` - the latestStartTime to set

### getDuration

    public double getDuration()

  Returns:
    the duration

### setDuration

    public void setDuration(double duration)

  Parameters:
    `duration` - the duration to set

### toString

    public String toString()

  Overrides:
    `toString` in class `BasicNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.